Bug 361631 - epson perfection scanner malfunction - regression from bug 149027 solution
epson perfection scanner malfunction - regression from bug 149027 solution
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 08:30 EDT by Gabriele Turchi
Modified: 2008-11-29 05:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-29 05:31:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriele Turchi 2007-11-01 08:30:38 EDT
Description of problem:

I have an USB scanner Epson perfection 2480 photo. Until FC6 was flawless, but 
after the F7 upgrade, the scanimage tool forced a warming up before every run.
Not an blocking bug, but the scan time is more than doubled.
After some digging, I've found a reference to the "usb_reset" patch, and a
version of sane-backends rebuilt _without_ the patch runs flawlessy again.

Version-Release number of selected component (if applicable):

For sure from sane-backends-1.0.18-6.fc7 to sane-backends-1.0.18-17.fc7 
(the development one) included.

How reproducible:

Every time.

Steps to Reproduce:
1. do many runs of "scanimage -n"
2.
3.
  
Actual results:

Before any run, the system says "[snapscan] Scanner warming up - waiting 8 seconds."

Expected results:

A warming up before the first run only.

Additional info:

I'm sorry, my english is buggy.
Comment 1 Michal Jaegermann 2007-12-02 20:33:47 EST
Search via Google reveals other instances of this problem.  See
http://www.google.ca/linux?restrict=linux&q=%22%5Bsnapscan%5D%22+%22warming+up%22
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/93515
Apparently the issue is really with libusb.

One workaround suggestion was to add 'scanbuttond' to the mix (which
has a slew troubles of its own - see bug 383131). That apparently
did have a salutory effect on F7 but made the situation much worse
for F8 (where 'snapscan' looks like an improved thing on its own).
'scanbuttond' was used on an installation in question only for that
side-effect and not really to service any button events.
 
All the above is a "seconhand knowledge".  I do not have a scanner
using 'snapscan' driver.  I was just trying to help my friend which,
unfortunately, interacts with computers only in "just a naive user"
mode.
Comment 2 Bug Zapper 2008-05-14 10:56:34 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-11-26 03:09:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Gabriele Turchi 2008-11-29 05:31:49 EST
With Fedora 10 version of sane-backends (sane-backends-1.0.19-12.fc10) the problem (and the patch) disappeared.

Note You need to log in before you can comment on or make changes to this bug.